33c738aa59d566ee86faeec6bca1547b025745e0
 src/pycode.l    | 4 ++--
 src/pyscanner.l | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/pycode.l b/src/pycode.l
index 36d8d35..176cbdd 100644
--- a/src/pycode.l
+++ b/src/pycode.l
@@ -860,8 +860,8 @@ B                 [ \t]*
 NEWLINE           \n
 
 DIGIT             [0-9]
-LETTER            [A-Za-z]
-NONEMPTY          [A-Za-z0-9_]
+LETTER            [A-Za-z\x80-\xFF]
+NONEMPTY          [A-Za-z0-9_\x80-\xFF]
 EXPCHAR           [#(){}\[\],:.%/\\=`*~|&<>!;+-]
 NONEMPTYEXP       [^ \t\n:]
 PARAMNONEMPTY     [^ \t\n():]
diff --git a/src/pyscanner.l b/src/pyscanner.l
index 69523d2..3bcfda3 100644
--- a/src/pyscanner.l
+++ b/src/pyscanner.l
@@ -461,8 +461,8 @@ OCTNUMBER         "0"[0-7]+[lL]?
 NUMBER            {DIGIT}+[lLjJ]?
 INTNUMBER         {HEXNUMBER}|{OCTNUMBER}|{NUMBER}
 FLOATNUMBER       {DIGIT}+"."{DIGIT}+([eE][+\-]?{DIGIT}+)?[jJ]?
-LETTER            [A-Za-z]
-NONEMPTY          [A-Za-z0-9_]
+LETTER            [A-Za-z\x80-\xFF]
+NONEMPTY          [A-Za-z0-9_\x80-\xFF]
 EXPCHAR           [#(){}\[\],:.%/\\=`*~|&<>!;+-]
 NONEMPTYEXP       [^ \t\n:]
 PARAMNONEMPTY     [^ \t\n():]
